#!/usr/bin/perl

#=============================================================================
# Copyright (C) 1998-2002, Matti Tukiainen, http://ktmatu.com/mt/
# All rights reserved.
#
# This file is part of Relax. 
#
# Relax is distributed with NO WARRANTY OF ANY KIND. No author or distributor
# accepts any responsibility for the consequences of using it, or for whether
# it serves any particular purpose or works at all, unless he or she says so
# in writing. Refer to the GNU General Public License (the "License") for
# full details. 
#
# Module name   : segmenter.pl
# Purpose       : Bogus Chinese language segmenter.
# Date          : 2001-07-13
# Updates       : 1.00 First release. (2001-07-13)
# Notes         : This module doesn't provide any functionality of the real
#                   Chinese language segmenter. To split simplified Chinese
#                   search phrases into words it is necessary to:
#                   1) Get segment.zip from
#                      http://www.mandarintools.com/segmenter.html
#                   2) Unzip segmenter.pl and wordlist.txt files from
#                      segment.zip to the directory where Relax was
#                      installed:
#                      unzip -aa segment.zip segmenter.pl wordlist.txt
#
#=============================================================================


sub segmentline () {
    my ($line) = @_;

    return $line;
}

1;
